"parameters": {
  "machineName": {
    "value": "__MachineName__"
  },
  "adminUsername": {
    "value": "__AdminUsername__"
  },
  "adminPassword": {
    "reference": {
      "KeyVault": {
        "id": "__AdminVaultID__"
      },
      "secretName": "__AdminSecureName__"
    }
  },
  "diskType": {
    "value": "Premium_LRS"
  },
  "exsitingVnetName": {
    "value": "__VirtualNetwork__"
  },
  "existingVnetResourcegroup": {
    "value": "__VirtualNetworkResourceGroup__"
  },
  "vmSize": {
    "value": "__VMSize__"
  },
  "existingSubnetName": {
    "value": "__SubNet__"
  },
  "existingPrimaryName": {
    "value": "__PrimaryName__"
  },
  "existingDomainFQDN": {
    "value": "__DomainName__"
  },
  "existingDomainAdminUsername": {
    "value": "__DomainUser__"
  },
  "existingDomainAdminPassword": {
    "reference": {
      "KeyVault": {
        "id": "__DomainVaultID__"
      },
      "secretName": "__DomainSecureName__"
    }
  },
  "existingStorageUrl": {
    "value": "__StorageContainer__"
  },
  "existingSASKey": {
    "value": "__sasKey__"
  },
  "location": {
    "value": "__Location__"
  },
  "RoleType": {
    "value": "__RoleType__"
  }
}
